PLEASE: Need to Downgrade Firmware (otherwise unusable)
Forum » Forum / My Book World Edition (blue rings) » PLEASE: Need to Downgrade Firmware (otherwise unusable)
Started by: pauldayspauldays
Date: 06 Dec 2009 19:51
Number of posts: 2
rss icon RSS: New posts
Summary:
I need to have the old firmware so MybookWorld works with my Macintosh network.
New Post
Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License